Subject: FIN> Compile errors in the Finisher MIB

From: [email-masked] (Ira Mcdonald x10962 by way of Tom Hastings <[email-masked]>)
Date: Mon, 29 Jun 1998 15:13:34 PDT

Hi Ron and Harry,

Below is the note I wrote up earlier today, when I thought the
PWG server would be back up by now.  But it isn't, so herewith
some compiler fixups.

Cheers,
- Ira
----------------------------------------------------
Hi Ron Bergman and PWG folks,                    Thursday (25 June 1998)

Below are the 'diff' files for the compile errors I fixed in the Printer
MIB and Finisher MIB I got from Tom Hastings (they MAY vary slightly from
those on the PWG server at present).  Tom hadn't posted a '.mib' of
the Finisher MIB on our Xerox server, so I made one with David Perkins'
'mstrip' utility (thus line numbers will vary from yours, no doubt).

I commented the 'diff' files, to indicate the object or sequence clause
in question.  I used Epilogue Emissary 7.0 (1997) and SMICng 2.1 (1997)
MIB compilers, both of which do a fine job of enforcing RFC 1902 rules.

Cheers,
- Ira McDonald
  High North
  221 Ridge Ave
  Grand Marais, MI  49839
  906-494-2434 (work)
  906-494-2697 (home)
------------------------------------------------------------------------
                    ** Printer MIB - 06/11/98 version **

==> added 'mib-2' import from RFC 1213 and uncommented RFC 1902 imports
4,5,c,4,6
< -- MODULE-IDENTITY, OBJECT-TYPE, Counter32, Integer32, TimeTicks,
NOTIFICATION-TYPE,
< -- OBJECT-IDENTITY, mib-2 FROM SNMPv2-SMI
---
> mib-2 FROM RFC1213-MIB
> MODULE-IDENTITY, OBJECT-TYPE, Counter32, Integer32, TimeTicks,
NOTIFICATION-TYPE,
> OBJECT-IDENTITY FROM SNMPv2-SMI

==> deleted illegal 'mib-2' definition prior to MODULE-IDENTITY
10,11,d,10
< mib-2  OBJECT IDENTIFIER  ::= { mgmt 1 }
< 

==> changed 'prtAlertIndex' to 'read-only' (from 'not-accessible'),
==> because it is a hard error in RFC 1902 and Epilogue Emissary 7.0
==> to include a 'not-accessible' object in trap bindings
4035,c,4034
<     MAX-ACCESS not-accessible
---
>     MAX-ACCESS read-only

==> added 'ptrAlertIndex' to 'prtAlertTableGroup'
4670,c,4669,4670
<     OBJECTS { prtAlertCriticalEvents, prtAlertAllEvents,
---
>     OBJECTS { prtAlertIndex,
>               prtAlertCriticalEvents, prtAlertAllEvents,

==> commented out some text following the END statement
4702,4703,c,4702,4703
<  Update the MIB references to SMIv2, and the conformance 
< statements.
---
> --  Update the MIB references to SMIv2, and the conformance 
> -- statements.
------------------------------------------------------------------------
                    ** Finisher MIB - 06/11/98 version **
==> added 'mib-2' import from RFC 1213
==> removed unused 'experimental' import from RFC 1902 (SMIv2)
4,c,4,5
<     MODULE-IDENTITY, OBJECT-TYPE, experimental,
---
>     mib-2  FROM RFC1213-MIB
>     MODULE-IDENTITY, OBJECT-TYPE,

==> removed unused 'prtOutputIndex' import from Printer MIB
12,c,13
<     PrtCapacityUnitTC, prtOutputIndex,
---
>     PrtCapacityUnitTC,

==> removed unused 'prtMediaPathIndex' import from Printer MIB
14,c,15
<     PrtMediaPathIndex, prtMIBConformance         FROM Printer-MIB;
---
>     prtMIBConformance                            FROM Printer-MIB;

==> changed module ID from duplicate of Printer MIB to arbitrary arc
39,c,40
<     ::= { mib-2 43 }
---
>     ::= { mib-2 9999 }

==> corrected case error in spelling of 'FinAttributeTypeTC'
69,c,70
< finAttributeTypeTC  ::= TEXTUAL-CONVENTION
---
> FinAttributeTypeTC  ::= TEXTUAL-CONVENTION

==> corrected type of 'finDeviceCurrentCapacity' to 'Integer32'
468,c,469
<       finDeviceCurrentCapacity       OCTET STRING,
---
>       finDeviceCurrentCapacity       Integer32,

==> corrected type of 'finDeviceAssociated Outputs' to 'OCTET STRING'
472,c,473
<       finDeviceAssociatedOutputs     Integer32,
---
>       finDeviceAssociatedOutputs     OCTET STRING,

==> corrected typo in SYNTAX of 'finDeviceIndex'
478,c,479
<     SYNTAX      Integer32 ((0..65535)
---
>     SYNTAX      Integer32 (0..65535)

==> corrected DEFVAL of 'finDevicePresentOnOff' to name NOT number
505,c,506
<     DEFVAL      { 5 }      -- not present
---
>     DEFVAL      { notPresent }

==> corrected typo in SYNTAX of 'finDeviceAssociatedMediaPaths'
552,c,553
<     SYNTAX      Octet String
---
>     SYNTAX      OCTET STRING

==> corrected typo in SYNTAX of 'finDeviceAssociatedOutputs'
569,c,570
<     SYNTAX      Octet String
---
>     SYNTAX      OCTET STRING

==> corrected typo in INDEX of 'finSupplyEntry'
636,c,637
<     INDEX  { hrDeviceIndex, finDeviceIndex }
---
>     INDEX  { hrDeviceIndex, finSupplyIndex }

==> corrected illegal use of dashes in comment line
==> at end of figure above 'finSupplyColorantValue'
758,c,759
< --     ------- +-------------------+ -------
---
> --     _______ +___________________+ _______

==> corrected SYNTAX of 'finSupplyMediaInputName' to
==> 'OCTET STRING' (consistent with Printer MIB)
939,c,940
<     SYNTAX      DisplayString (SIZE(0..63))
---
>     SYNTAX      OCTET STRING (SIZE(0..63))

==> corrected SYNTAX of 'finSupplyMediaInputDescription' to
==> 'OCTET STRING' (consistent with Printer MIB)
949,c,950
<     SYNTAX      DisplayString (SIZE(0..255))
---
>     SYNTAX      OCTET STRING (SIZE(0..255))

==> corrected SYNTAX of 'finSupplyMediaInputMediaType' to
==> corrected SYNTAX of 'finSupplyMediaInputDescription' to
1000,c,1001
<     SYNTAX      DisplayString (SIZE(0..63))
---
>     SYNTAX      OCTET STRING (SIZE(0..63))

==> corrected SYNTAX of 'finDeviceAttributeValueAsInteger'
==> agree with DEFVAL
1079,c,1080
<     SYNTAX      Integer32 (-1..2147483647)
---
>     SYNTAX      Integer32 (-2..2147483647)

==> corrected typo in DEFVAL of 'finDeviceAttributeValueAsOctets'
1113,c,1114
<     DEFVAL      { '' }      -- empty string
---
>     DEFVAL      { ''H }      -- empty string

==> removed 'finDeviceIndex' (not-accessible) from OBJECTS clause of
==> 'finDeviceGroup' OBJECT-GROUP macro
1214,c,1215
<     OBJECTS { finDeviceIndex, finDeviceType, finDevicePresentOnOff,
---
>     OBJECTS { finDeviceType, finDevicePresentOnOff,

==> removed 'finSupplyIndex' (not-accessible) from OBJECTS clause
==> and added 'finSupplyDeviceIndex' (read-only) to OBJECTS clause
==> of 'finSupplyGroup' OBJECT-GROUP macro
1225,c,1226
<     OBJECTS { finSupplyIndex, finSupplyClass, finSupplyType,
---
>     OBJECTS { finSupplyDeviceIndex, finSupplyClass, finSupplyType,

==> removed 'finSupplyMediaInputDeviceType' (undefined) from OBJECTS clause
==> of 'finSupplyMediaInputGroup' OBJECT-GROUP macro
1234,c,1235
<     OBJECTS { finSupplyMediaInputIndex, finSupplyMediaInputDeviceType,
---
>     OBJECTS { finSupplyMediaInputDeviceIndex,

==> corrected type in 'finSupplyMediaInputDimUnit' in OBJECTS clause
==> of 'finSupplyMediaInputGroup' OBJECT-GROUP macro
1236,c,1237
<               finSupplyMediaInputDimType,
---
>               finSupplyMediaInputDimUnit,

==> removed 'finDeviceAttributeTypeIndex' (not-accessible) and
==> removed 'finDeviceAttributeInstanceIndex' (not-accessible) from
==> OBJECTS clause of 'finDeviceAttributeGroup' OBJECT-GROUP macro
1251,1252,c,1252
<     OBJECTS { finDeviceAttributeTypeIndex,
<               finDeviceAttributeInstanceIndex,
---
>     OBJECTS {
------------------------------------------------------------------------